2020-05-30 10:09 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000609Spring engineGeneralpublic2007-08-27 15:07
ReporterArgh 
Assigned ToKloot 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000609: Voidwater
DescriptionI've been noticing that on maps with Voidwater=1, I am still seeing CPU draw due to "water". This seemed rather... odd, since that's the point of that tag- to not draw water- so I went and tested.

To test this, I turned shadows off, and got my usual 20+ FPS back. Then I turned water to /0, then to /1... and immediately saw a 10 FPS drop. Moreover, the CPU usage listed under "water" dropped to the correct value- zero.

What's more, my standard tests with objects dropped FPS by a greater percentage with water /1 than water /0, which strongly suggests there are at least checks for reflection being made, which is not the expected behavior. I suspect an If loop is either missing, or does not return properly, because /water 0 works, so it must be dropping the water OGL calls at that point. Maybe something got broken, when the new code for water textures was added?

At any rate, if I'm losing 10FPS, with a GeForce 7800GT, lower-end users are probably getting hammered, on maps like Comet, where they don't even know why it's happening :-/
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0001162

Kloot (developer)

Last edited: 2007-08-26 23:39

If a map has voidwater set to 1, then CGame::DrawWorld()
completely bypasses the water renderer, regardless of which
one (basic, dynamic, etc) is in use. The difference in FPS
between modes 0 and 1 (basic and reflective-only) is due to
the fact that the code which profiles the water renderer is
always run (whether voidwater is enabled or not), but the
basic renderer gets a free lunch because the function being
profiled does nothing. In other words, the water profile
percentage on a voidwater map is meaningless.

~0001163

tvo (reporter)

I take it you fixed this in r4258? (If not, reopen)

(I made you (kloot) a developer in mantis too btw so you can close bugs yourself :-))
+Notes

-Issue History
Date Modified Username Field Change
2007-08-25 14:25 Argh New Issue
2007-08-26 23:38 Kloot Note Added: 0001162
2007-08-26 23:39 Kloot Note Edited: 0001162
2007-08-27 15:05 tvo Status new => assigned
2007-08-27 15:05 tvo Assigned To => Kloot
2007-08-27 15:07 tvo Status assigned => resolved
2007-08-27 15:07 tvo Resolution open => fixed
2007-08-27 15:07 tvo Note Added: 0001163
+Issue History